Subject: incorrect range-diff output?

From: Duy Nguyen <[email-masked]>
Date: Thu, 11 Apr 2019 18:17:29 +0700

Try

    git range-diff from...to

with those two branches from https://gitlab.com/pclouds/git.git. The
interesting part is this

      diff --git a/Documentation/gitcli.txt b/Documentation/gitcli.txt
      --- a/Documentation/gitcli.txt
    @@ -120,10 +111,11 @@
        * linkgit:git-commit[1] to advance the current branch.
      
     -  * linkgit:git-reset[1] and linkgit:git-checkout[1] (with
    -+  * linkgit:git-reset[1] and linkgit:git-restore[1] (with
    -     pathname parameters) to undo changes.
    +-    pathname parameters) to undo changes.
    ++  * linkgit:git-restore[1] to undo changes.
      
        * linkgit:git-merge[1] to merge between local branches.
    + 

This particular hunk comes from giteveryday.txt, not gitcli.txt. And
the b/Documentation/gitcli.txt line is also missing.

I'm in the middle of some other things (and don't know range-diff that
well) so I'm just dropping a bug report here.

I've tried all 'master', 'next' and 'pu'. Same result. Tried
--no-pager too in case the pager ate something up.
--
Duy